# 32/64bit spec-file
#
%define name gsmartcontrol
%define version 0.8.7
%define release %mkrel 3

Summary:     GSmartControl - Hard disk drive health inspection tool
Summary(de): GSmartControl - Gesundheitscheck für Festplatten
Name:        %{name}
Version:     %{version}
Release:     %{release}
Group:       System/Kernel and hardware
License:     GPLv3
URL:         http://gsmartcontrol.berlios.de/home/
Source0:     %{name}-%{version}.tar.xz
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gcc-c++ 
BuildRequires: pcre-devel
BuildRequires: libstdc++-devel
BuildRequires: %{_lib}gtkmm2.4-devel >= 2.6.0
BuildRequires: %{_lib}glademm2.4-devel >= 2.4.0
Requires: smartmontools 
Requires: pcre
Requires: %{_lib}glibmm2.4_1
Requires: %{_lib}glademm2.4_1

%description
GSmartControl is a graphical user interface for smartctl
(from Smartmontools package), which is a tool for querying
and controlling SMART (Self-Monitoring, Analysis, and
Reporting Technology) data on modern hard disk drives. It
allows you to inspect the drive's SMART data to determine
its health, as well as run various tests on it.

Note: Only ATA drives (both PATA and SATA) are supported for now.

%description -l de
GSmartControl ist eine grafische Benutzeroberfläche für smartctl
(vom Smartmontools-Paket), welches ein Werkzeug zum Abfragen und
Kontrollieren von SMART- (Self-Monitoring, Analysis, and
Reporting Technology) Daten auf modernen Festplatten. Es erlaubt
Ihnen die SMART-Daten zu untersuchen um den Gesundheitsstatus festzustellen,
sowie verschiedene Tests durchzuführen.

Bemerkung: Nur ATA-Laufwerke (beide PATA und SATA) werden derzeitig 
           unterstützt.

%prep
%setup -q 

%build
%configure2_5x --enable-optimize-options=auto

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Type=Application
Categories=System;Monitor;X-MandrivaLinux-System-Configuration-Hardware;Settings;
Name=GSmartControl
Comment=Monitor and control SMART data on hard disks
Comment[de]=Beobachten und Kontrollieren von SMART-Daten der Festplatten
Icon=gsmartcontrol
Exec=gsmartcontrol-root
EOF


# Remove the icon cache file "make install" generates, to avoid package conflicts.
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT


%post 
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(-,root,root,-)
%doc %{_datadir}/doc/%{name}/*
%doc %{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/*.desktop

%changelog
* Wed Nov 06 2013 billybot <billybot> 0.8.7-3pclos2013
- rebuild for new pcre

* Mon Feb 25 2013 pinoc <vogtpet at gmail.com> 0.8.7-2pclos2013
- corrected Requires to work on 32/64

* Mon Aug 13 2012 Neal <nealbrks0 at gmail dot com> 0.8.7-1pclos2012
- process

* Mon Aug 13 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.8.7-1pclos2012
- 0.8.7
- added german summary and description and comment in desktop file
- added %{_lib} macros

* Tue Jul 19 2011 pinoc <vogtpet at gmail.com> 0.8.6-1pclos2011
- 0.8.6
- changed spec-name to default

* Sat Sep 05 2009 slick50 <lxgator@gmail.com> 0.8.5-1pclos2009
- 0.8.5

* Sat Mar 28 2009 slick50 <lxgator@gmail.com> 0.8.4-1pclos2007
- initial pkg

